# TempAndHum14Click\_Temp\_Hum\_Sensor module library

**MBED OS / 6.13 or later** /  *STMicroelectronics* Nucleo L476RG board

*Developed by Institut d'Optique Graduate School / France*

## Table of Contents
1. [General Info](#general-info)
2. [Ressources](#ressources)
3. [Installation](#installation)
4. [How To Use](#how-to-use)
5. [Collaboration](#collaboration)

## General Info

***TempAndHum14Click\_Temp\_Hum\_Sensor*** is a **MBED OS** library developed for the *MikroE* module called *Temp&Hum14Click*. 

![](https://www.mikroe.com/img/images/temp-hum-14-inner-new-img(1).jpg)

This module is based on the **TEConnectivity** ***HTU31*** component that includes digital temperature and humidity sensors. 

This directory contains :

- *TEMPHUM_14_CLICK.h* / *TEMPHUM_14_CLICK.cpp* files : library files to include in your MBED OS project
- *main_TempHum_14_Click.cpp* file : an example of using this Library
- *TempHum_14_Click.bin* file : a precompiled file for *STMicroelectronics* Nucleo L476RG board (pins : SDA:D14 / SCL:D13 / RST:D9 - not yet implemented)
- *images* directory : images used for this tutorial

## Ressources

To obtain more informations about the Temp&Hum14Click module from MikroE, you can check the [MikroE webpage](https://www.mikroe.com/temphum-14-click)

For beginners who starts programming with **Keil Studio** or **MBED Studio** on embedded STM32 targets, check this **series of tutorials** about [Nucleo board / Step by step programming](http://lense.institutoptique.fr/nucleo/)

## Installation

To use this library, you have to copy *TEMPHUM_14_CLICK.h* / *TEMPHUM_14_CLICK.cpp* files into the *libs* directory of your **MBED Studio** or **Keil Studio** project.

Then you have to include the header file (*TEMPHUM_14_CLICK.h*) into your main code with the command :

```c
#include "TEMPHUM_14_CLICK.h"
```

## How To Use

### HTU31 ###

This module uses an I2C interface (as a slave module) and a digital input for hardware reset. 

### COLOR_14_CLICK class ###

Access to the **TEMPHUM_14_CLICK** module from *MikroE*

#### Attributes ####


#### Methods ####

### Test code ###

## Collaboration
This library was written by **Julien Villemejane** @jvillemejane for embedded programs on *STMicroelectronics* Nucleo L476RG board.  

The last modification : **Julien Villemejane** - 09/feb/2023









